Bug 1563659 - [Docs][Admin][RHV-2616] Logical Network Name text field doesn't document possible on-host disparity.
Summary: [Docs][Admin][RHV-2616] Logical Network Name text field doesn't document poss...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Documentation
Version: 4.2.1
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ovirt-4.2.7
: ---
Assignee: Emma Heftman
QA Contact: Avital Pinnick
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-04 12:16 UTC by Leon Goldberg
Modified: 2018-10-03 09:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-03 09:20:38 UTC
oVirt Team: Network
rule-engine: ovirt-4.2+


Attachments (Terms of Use)

Description Leon Goldberg 2018-04-04 12:16:58 UTC
Current text: https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1/html/administration_guide/chap-logical_networks#sect-Explanation_of_Settings_and_Controls_in_the_New_Logical_Network_and_Edit_Logical_Network_Windows

The text does not reflect that in case the network's name is either long or contains non-ASCII character, the bridge name on the host will differ (to patch linux bridge ascii/15 char limitation)

more information can be found at https://www.ovirt.org/develop/release-management/features/network/unrestricted-network-names/

(The new "vdsm_name" (the on-host identifier) will match "name", if "name" doesn't exceed IFNAMSIZ and only contains ASCII characters (to ease debugging and backwards compatibility). Otherwise, the new "vdsm_name" is to be auto-generated by Engine according to a pattern

  onXXXXXXXXXXXXX
where XXXXXXXXXXXXX are 13 hexadecimal characters extracted from the UUID of the network.)

Comment 1 Emma Heftman 2018-09-12 11:59:53 UTC
Hi Leon
While the 15 character limitation does appear in the 4.1 guide, in the 4.2 guide I see it mentioned in two different places.

Can you please confirm whether the limitation should be removed from both places?

1. In 11.2.8.3  Configuring Hosts for an OVN Tunnel Network

It says:

The VDSM_Network_Name is limited to 15 characters. 




2. In 11.2.8.4. Connecting an OVN Network to a Physical Network

it says "The physical network’s name must not be longer than 15 characters, or contain special characters. "

[1] https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.2/html-single/administration_guide/#Adding_OVN_as_an_External_Network_Provider

Comment 2 Emma Heftman 2018-09-13 12:15:20 UTC
Leon, following our conversation, i decided to focus only on the 4.1 documentation.
I see that it says "The logical network name is limited to 15 characters for Manager version 4.1.5 and earlier."

Meaning that it does not apply to 4.1.6 onwards.
Therefore, there doesn't seem to be anything to fix. The 4.2 documentation is already correct. I would like to close this bug.

Comment 3 Leon Goldberg 2018-09-20 09:26:57 UTC
yes, logical network names are not restricted to 15 characters post 4.1.5

Comment 4 Emma Heftman 2018-09-20 10:47:06 UTC

(In reply to Leon Goldberg from comment #3)
> yes, logical network names are not restricted to 15 characters post 4.1.5

So can you confirm that there is nothing to fix? The issue already seems to be correctly documented.

Comment 5 Leon Goldberg 2018-09-20 12:33:50 UTC
What's missing is that if a user uses a name that exceeds 15 characters and/or contains non-ascii characters, the name on the host will differ from the name in engine -- this should be documented

Comment 10 Emma Heftman 2018-10-03 09:20:38 UTC
The updated information, together with documentation about new mapping tool, is available in the Customer Portal:

https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.2/html-single/administration_guide/index#Vdsm_To_Network_Mapping_Tool


Note You need to log in before you can comment on or make changes to this bug.